#! /bin/sh

# $Id: test.sh,v 1.2 2001/09/01 17:26:40 cmlenz Exp $

if [ -z "$JAVA_HOME" ] ; then
  JAVA=`which java`
  if [ -z "$JAVA" ] ; then
    echo "Cannot find JAVA. Please set your PATH."
    exit 1
  fi
  JAVA_BIN=`dirname $JAVA`
  JAVA_HOME=$JAVA_BIN/..
fi

JAVA=$JAVA_HOME/bin/java

TEMPCLASSPATH=../classes:../lib/slide-kernel.jar:../lib/slide-stores.jar:./junit.jar:./webdavlib.jar:$CLASSPATH

if [ -z $1 ] ; then
  echo "Usage: example <pkg>";
  exit;
fi
$JAVA -cp $TEMPCLASSPATH junit.swingui.TestRunner $1
